List Network Connections
curl --request GET \
--url https://api.prd.rad.security/accounts/{account_id}/container_runtime_insights/network_connectionsimport requests
url = "https://api.prd.rad.security/accounts/{account_id}/container_runtime_insights/network_connections"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.prd.rad.security/accounts/{account_id}/container_runtime_insights/network_connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entries": [
{
"account_id": "<string>",
"cluster_id": "<string>",
"destination_addr": "<string>",
"destination_hostname": "<string>",
"destination_port": 123,
"destination_ports": [
123
],
"destination_service_name": "<string>",
"destination_service_namespace": "<string>",
"destination_workload_kind": "<string>",
"destination_workload_name": "<string>",
"destination_workload_namespace": "<string>",
"first_seen_at": "<string>",
"id": "<string>",
"last_seen_at": "<string>",
"source_workload_kind": "<string>",
"source_workload_name": "<string>",
"source_workload_namespace": "<string>",
"trusted_ip": true,
"trusted_ip_description": "<string>",
"trusted_ip_prefix": "<string>"
}
],
"has_more": true,
"total_count": 123
}{
"status": 123,
"code": "<string>",
"request_id": "<string>",
"validation_details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"param": "<string>"
}
]
}Network Connections
List Network Connections
GET
/
accounts
/
{account_id}
/
container_runtime_insights
/
network_connections
List Network Connections
Path Parameters
Account id
Query Parameters
Cluster ids
Search phrase
Filters in format: key1:value1,key2:value2
Maximum number of results to return. Default: 100
Number of results to skip. Default: 0
⌘I